# Uses of Class
javafx.stage.WindowEvent

Packages that use WindowEvent
Package
Description
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of WindowEvent in javafx.stage

Fields in javafx.stage with type parameters of type WindowEvent
Modifier and Type
Field
Description
`static final EventType<WindowEvent>`
WindowEvent.`ANY`
Common supertype for all window event types.
`static final EventType<WindowEvent>`
WindowEvent.`WINDOW_CLOSE_REQUEST`
This event is delivered to a window when there is an external request to close that window.
`static final EventType<WindowEvent>`
WindowEvent.`WINDOW_HIDDEN`
This event occurs on window just after it is hidden.
`static final EventType<WindowEvent>`
WindowEvent.`WINDOW_HIDING`
This event occurs on window just before it is hidden.
`static final EventType<WindowEvent>`
WindowEvent.`WINDOW_SHOWING`
This event occurs on window just before it is shown.
`static final EventType<WindowEvent>`
WindowEvent.`WINDOW_SHOWN`
This event occurs on window just after it is shown.
Methods in javafx.stage that return WindowEvent
Modifier and Type
Method
Description
`WindowEvent`
WindowEvent.`copyFor(Object newSource, EventTarget newTarget)`
`WindowEvent`
WindowEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<WindowEvent> type)`
Creates a copy of the given event with the given fields substituted.
Methods in javafx.stage that return types with arguments of type WindowEvent
Modifier and Type
Method
Description
`EventType<WindowEvent>`
WindowEvent.`getEventType()`
`final EventHandler<WindowEvent>`
Window.`getOnCloseRequest()`
Gets the value of the `onCloseRequest` property.
`final EventHandler<WindowEvent>`
Window.`getOnHidden()`
Gets the value of the `onHidden` property.
`final EventHandler<WindowEvent>`
Window.`getOnHiding()`
Gets the value of the `onHiding` property.
`final EventHandler<WindowEvent>`
Window.`getOnShowing()`
Gets the value of the `onShowing` property.
`final EventHandler<WindowEvent>`
Window.`getOnShown()`
Gets the value of the `onShown` property.
`final ObjectProperty<EventHandler<WindowEvent>>`
Window.`onCloseRequestProperty()`
Called when there is an external request to close this `Window`.
`final ObjectProperty<EventHandler<WindowEvent>>`
Window.`onHiddenProperty()`
Called just after the Window has been hidden.
`final ObjectProperty<EventHandler<WindowEvent>>`
Window.`onHidingProperty()`
Called just prior to the Window being hidden.
`final ObjectProperty<EventHandler<WindowEvent>>`
Window.`onShowingProperty()`
Called just prior to the Window being shown.
`final ObjectProperty<EventHandler<WindowEvent>>`
Window.`onShownProperty()`
Called just after the Window is shown.
Method parameters in javafx.stage with type arguments of type WindowEvent
Modifier and Type
Method
Description
`WindowEvent`
WindowEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<WindowEvent> type)`
Creates a copy of the given event with the given fields substituted.
`final void`
Window.`setOnCloseRequest(EventHandler<WindowEvent> value)`
Sets the value of the `onCloseRequest` property.
`final void`
Window.`setOnHidden(EventHandler<WindowEvent> value)`
Sets the value of the `onHidden` property.
`final void`
Window.`setOnHiding(EventHandler<WindowEvent> value)`
Sets the value of the `onHiding` property.
`final void`
Window.`setOnShowing(EventHandler<WindowEvent> value)`
Sets the value of the `onShowing` property.
`final void`
Window.`setOnShown(EventHandler<WindowEvent> value)`
Sets the value of the `onShown` property.